option explicit

' FindPanelFolderLock
' (C) 2014 Leo Davidson
' 
' This is a script for Directory Opus.
' See http://www.gpsoft.com.au/DScripts/redirect.asp?page=scripts for development information.

' Called by Directory Opus to initialize the script
Function OnInit(initData)
	initData.name = "FindPanelFolderLock"
	initData.desc = "Lock the Find Panel to a folder"
	initData.copyright = "(C) 2014 Leo Davidson"
	initData.version = "1.0"
	initData.default_enable = True
	
	initData.config.FindPath = "D:\Data"
End Function

' Called when a new Lister is opened
Function OnAfterFolderChange(afterFolderChangeData )
	If Not afterFolderChangeData.Tab.Lister.Vars.Exists("FindPanelFolderLock") Then
		afterFolderChangeData.Tab.Lister.Vars.Set "FindPanelFolderLock", True
		If afterFolderChangeData.Tab.Lister.UtilPane <> 0 Then
			Dim cmd
			Set cmd = DOpus.NewCommand
			cmd.SetSourceTab afterFolderChangeData.Tab
			cmd.AddLine "Set UTILITY=Off"
			cmd.AddLine "Find IN=""" & Script.Config.FindPath & """"
			cmd.Run
		End If
	End If
End Function
